summaryrefslogtreecommitdiffstats
path: root/bin/reply
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reply')
-rwxr-xr-xbin/reply9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/reply b/bin/reply
new file mode 100755
index 0000000..fb64c02
--- /dev/null
+++ b/bin/reply
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+podman images | grep -q localhost/reply || cat <<EOF | podman build -t reply -f -
+FROM docker.io/debian:stable-slim
+RUN apt-get update && apt-get install -y cpanminus make gcc
+RUN cpanm Reply
+EOF
+podman run --rm -it reply reply "$@"